Skip to main content
GET
/
api
/
v1
/
kyb
/
b2b
/
kyb
/
draft
Get KYB draft
curl --request GET \
  --url https://api.hevn.finance/api/v1/kyb/b2b/kyb/draft \
  --header 'Authorization: Bearer <token>'
{
  "updatedAt": "2023-11-07T05:31:56Z",
  "kybStatusByRails": {},
  "businessData": {
    "phone": "<string>",
    "contactInfo": "<string>",
    "entityTypeDescription": "<string>",
    "entityName": "<string>",
    "tradeName": "<string>",
    "registrationNumber": "<string>",
    "incorporationDate": "2023-12-25",
    "taxNumber": "<string>",
    "businessDescription": "<string>",
    "businessTypeDescription": "<string>",
    "websites": [
      "<string>"
    ],
    "phoneNumber": "<string>",
    "address": {
      "streetAddress": "<string>",
      "addressLine2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zip": "<string>"
    },
    "sourceOfFundDescription": "<string>",
    "expectedMonthlyVolumeUsd": 1,
    "purposeOfFundsDescription": "<string>",
    "flowOfFundsDescription": "<string>",
    "sanctionedCountryOperations": true,
    "highRiskActivities": [
      "<string>"
    ],
    "operatingCountries": [],
    "handlesCustomerFunds": true,
    "complianceScreeningDescription": "<string>",
    "estimatedAnnualRevenue": 1,
    "depositMethods": [
      "<string>"
    ]
  },
  "companyDocuments": [
    {
      "id": "<string>",
      "name": "<string>",
      "originName": "<string>",
      "link": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "content": {}
    }
  ],
  "shareholders": [
    {
      "localId": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "birthDate": "2023-12-25",
      "email": "<string>",
      "phone": "<string>",
      "title": "<string>",
      "taxId": "<string>",
      "ownershipPercentage": 50,
      "hasControl": true,
      "isSigner": true,
      "isDirector": true,
      "address": {
        "streetAddress": "<string>",
        "city": "<string>",
        "zip": "<string>"
      },
      "identityDocuments": [
        {
          "number": "<string>"
        }
      ],
      "documentIds": [
        "<string>"
      ],
      "documents": [
        {
          "id": "<string>",
          "name": "<string>",
          "originName": "<string>",
          "link": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "content": {}
        }
      ],
      "swipeluxId": "<string>"
    }
  ],
  "isReadyForSubmission": false,
  "missingFields": [
    "<string>"
  ],
  "requiredDocuments": [
    "<string>"
  ],
  "requiredShareholderDocuments": [
    "<string>"
  ],
  "swipeluxCustomerId": "<string>",
  "rails": [
    {
      "externalUserId": "<string>",
      "kycStatus": "not_started",
      "comment": "<string>"
    }
  ],
  "comment": "<string>"
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Response

Successful Response

Full draft response.

kybStatus
enum<string>
required

KYC verification status.

Available options:
not_started,
requested,
incorporating,
pending,
under_review,
in_review,
approved,
rejected
updatedAt
string<date-time>
required
kybStatusByRails
Kybstatusbyrails · object

KYB status for each activated bank rail

businessData
BusinessUserCreateRequest · object

Request schema for creating/updating a business user (all fields optional for partial updates).

companyDocuments
DocumentDraftInfo · object[]
shareholders
ShareholderDraftResponse · object[]
isReadyForSubmission
boolean
default:false
missingFields
string[]
requiredDocuments
string[]

Required document types for this company's jurisdiction

requiredShareholderDocuments
string[]

Required document types for each shareholder

swipeluxCustomerId
string | null
rails
FiatRailResponse · object[]

All fiat rails for this user

comment
string | null